##### basic_serial_port::basic_serial_port (1 of 10 overloads)

Construct a `basic_serial_port` without opening it.

    basic_serial_port(
        const executor_type & ex);

This constructor creates a serial port without opening it.

###### Parameters

ex

  The I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.